package com.ruoyi.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum UseCaseRiskLevelEnum implements BaseEnum<String> {


    HIGH("HIGH", "高危"),

    MEDIUM("MEDIUM", "中危"),

    GRADUATE("GRADUATE", "低危"),

    UNKNOWN("UNKNOWN", "无");


    /**
     * 枚举值
     */
    @JsonValue
    private final String value;

    /**
     * 枚举描述
     */
    private final String desc;

}
